Subject: Re: bug#19684: 25.0.50; `this-command` is set to `nil` before `window-scroll-functions` hook runs.

From: Stefan Monnier <[email-masked]>
Date: Sun, 25 Jan 2015 11:14:22 -0500

tags 19684 notabug
thanks

> 1.  Expressly call `redisplay` at the tail end of the series of
>     functions attached to the `post-command-hook`.
>     Calling `redisplay` somehow prevents `this-command` from being
>     reset to `nil` and the `window-scroll-functions` hook can then
>     take advantage of the existing value of `this-command`.

It's not that calling `redisplay' prevents it.  It's that the normal
redisplay is run later (potentially much later if there are other things
pending), at a point which is not directly connected with the command,
hence this-command is not set any more because we're really not in the
process of running that command any more.

        Stefan